@@ -71,6 +71,19 @@
tags:
- x86_64
+.qemu-ppc64le:
+ extends: .test-jobs-common
+ variables:
+ CONTAINER: debian:bullseye-ppc64le
+ LOGFILE: qemu-smoke-ppc64le.log
+ artifacts:
+ paths:
+ - smoke.serial
+ - '*.log'
+ when: always
+ tags:
+ - x86_64
+
.xilinx-arm64:
extends: .test-jobs-common
variables:
@@ -444,3 +457,10 @@ qemu-smoke-riscv64-gcc:
- ./automation/scripts/qemu-smoke-riscv64.sh 2>&1 | tee ${LOGFILE}
needs:
- archlinux-current-gcc-riscv64-debug
+
+qemu-smoke-ppc64le-pseries-gcc:
+ extends: .qemu-ppc64le
+ script:
+ - ./automation/scripts/qemu-smoke-ppc64le.sh pseries-5.2 2>&1 | tee ${LOGFILE}
+ needs:
+ - debian-bullseye-gcc-ppc64le-debug
new file mode 100755
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+set -ex
+
+# machine type from first arg passed directly to qemu -M
+machine=$1
+
+# Run the test
+rm -f smoke.serial
+set +e
+
+touch smoke.serial
+
+timeout -k 1 20 \
+qemu-system-ppc64 \
+ -M $machine \
+ -m 2g \
+ -smp 1 \
+ -vga none \
+ -monitor none \
+ -nographic \
+ -serial file:smoke.serial \
+ -kernel binaries/xen
+
+set -e
+(grep -q "Hello, ppc64le!" smoke.serial) || exit 1
+exit 0